Subject: Re: git-svn fetch fails when a file is renamed changing only case

From: Pazu <[email-masked]>
Date: Tue, 10 Oct 2006 14:57:14 -0300

Pazu wrote:

> Well, I'll keep browsing the git-svn source code, and try to make some 
> sense out of it...

While doing that I noticed the error happens in a code path that only 
gets executed when SVN::Core isn't available. So I decided to go through 
the trouble of manually building and installing the subversion perl 
bindings, and to my delight, git-svn is working flawlessly now.

Since svn binaries *use* the svn libraries, I still don't think this was 
subversion's fault, but probably some bug in git-svn parsing svn output. 
Oh well, using SVN::Core fixed, and git-svn is a lot faster to boot.

-- Marcus